import greenfoot.*;  

/**
 * Steak fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Steak extends Actor
{
   
    private int speed;

    /**
     * Constructor: Initialise the speed to a somewhat random value.
     */
    public Steak()
    {
        speed = Greenfoot.getRandomNumber(5) + 1;
        
        GreenfootImage image = getImage();
        image.scale(50,40);
        setImage(image);
    
    }
    
    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        
        
        if (getX() == 0) 
        {
            Park bloodstream = (Park)getWorld();
            bloodstream.addScore(0);
            bloodstream.removeObject(this);
        }
    }
    private void checkMan()
    {
        Man redcell = (Man) getOneIntersectingObject(Man.class);
        
        if (redcell != null) {
            redcell.turn(9);
        }
    }
}
